Skip to main content
GET
List or search knowledge articles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string | null

Search query; when set, performs semantic search

collection

Filter by a single collection or a list of collections

Available options:
cash_application,
collections,
company,
credit_risk,
deductions,
disputes,
payments
customer_id
string | null

Filter to a customer scope

segment_id
string | null

Filter to a segment scope

limit
integer | null

Max results when searching

Response

Successful Response

id
string<uuid>
required

Article ID

created_at
string<date-time>
required

When this article was first created

title
string
required

Article title

collection
string
required

Playbook collection

knowledge_type
enum<string>
required

Declarative, procedural, or document

Available options:
declarative,
document,
procedural
status
enum<string>
required

Published or archived

Available options:
archived,
published
scope
enum<string>
required

Visibility: shared, segment, or customer

Available options:
shared,
segment,
customer
description
string | null

What this article covers

content
string | null

Full article content

customer_id
string | null

Customer this article is scoped to

segment_id
string | null

Segment this article is scoped to

published_at
string<date-time> | null

When last published

archived_at
string<date-time> | null

When archived

file_id
string<uuid> | null

Reference document attachment

file
File · object | null

Attached file

current_version
VersionSummary · object | null

Latest version metadata